Bug 1240636 - Make live snapshot consistent for Cinder disks
Summary: Make live snapshot consistent for Cinder disks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Daniel Erez
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks: 1185826
TreeView+ depends on / blocked
 
Reported: 2015-07-07 12:05 UTC by Daniel Erez
Modified: 2016-03-10 13:59 UTC (History)
9 users (show)

Fixed In Version: 3.6.0-4_alpha3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-27 07:52:31 UTC
oVirt Team: Storage
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 43279 master MERGED core: introduce FreezeVdsCommand 2021-01-14 13:25:51 UTC
oVirt gerrit 43280 master MERGED core: introduce ThawVdsCommand 2021-01-14 13:25:53 UTC
oVirt gerrit 43281 master MERGED core: EngineError - add freeze and thaw errors 2021-01-14 13:25:53 UTC
oVirt gerrit 43282 master MERGED core: added AuditLog messages for freeze and thaw 2021-01-14 13:25:53 UTC
oVirt gerrit 43283 master MERGED core: invoke freeze and thaw for cinder disks 2021-01-14 13:25:51 UTC
oVirt gerrit 43803 master MERGED core: add frozen flag to VdsServer snapshot api 2021-01-14 13:25:51 UTC
oVirt gerrit 44474 ovirt-engine-3.6 MERGED core: invoke endAction on RemoveCinderSnapshotCommandCallback 2021-01-14 13:25:53 UTC
oVirt gerrit 44475 ovirt-engine-3.6 MERGED core: RemoveDiskSnapshots - support Cinder disks 2021-01-14 13:25:53 UTC
oVirt gerrit 44476 ovirt-engine-3.6 MERGED webadmin: display Disk Snapshots sub-tab for Cinder domains 2021-01-14 13:25:53 UTC
oVirt gerrit 44480 ovirt-engine-3.6 MERGED restapi: freeze_filesystems and thaw_filesystems actions 2021-01-14 13:25:54 UTC

Description Daniel Erez 2015-07-07 12:05:38 UTC
Description of problem:
Live snapshot of a VM with Cinder disks should be implemented using libvirt freeze/thaw API[1,2] (in order to avoid data inconsistency in the snapshot disks).

[1] http://libvirt.org/html/libvirt-libvirt-domain.html#virDomainFSFreeze
[2] http://libvirt.org/html/libvirt-libvirt-domain.html#virDomainFSThaw


Version-Release number of selected component (if applicable):
3.6

Comment 1 Ori Gofen 2015-11-17 12:38:16 UTC
Live snapshot is supported now on cinder volumes with ceph backend, note that this operation fails on logs, though successful de facto.
marking as Verfied on 3.6-0.2.
separate bugs will be opened

Comment 2 Sandro Bonazzola 2015-11-27 07:52:31 UTC
Since oVirt 3.6.0 has been released, moving from verified to closed current release.


Note You need to log in before you can comment on or make changes to this bug.